--- old/usr/src/uts/common/fs/zfs/dsl_pool.c	2015-06-19 17:15:05.529898978 +0200
+++ new/usr/src/uts/common/fs/zfs/dsl_pool.c	2015-06-19 17:15:05.532412477 +0200
@@ -1046,6 +1046,13 @@
 }
 
 void
+dsl_pool_config_enter_prio(dsl_pool_t *dp, void *tag)
+{
+	ASSERT(!rrw_held(&dp->dp_config_rwlock, RW_READER));
+	rrw_enter_read_prio(&dp->dp_config_rwlock, tag);
+}
+
+void
 dsl_pool_config_exit(dsl_pool_t *dp, void *tag)
 {
 	rrw_exit(&dp->dp_config_rwlock, tag);
